Project

Profile

Help

Bug #6156

closed

Enabling XSLT 4.0 extensions in Saxon 11.x

Added by Michael Kay 11 months ago. Updated 7 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Features new in 4.0
Sprint/Milestone:
-
Start date:
2023-08-05
Due date:
% Done:

0%

Estimated time:
Legacy ID:
Applies to branch:
Fix Committed on Branch:
Fixed in Maintenance Release:
Platforms:

Description

This arose from investigation of bug #6145, but it's really a quite separate problem, so I'm recording it separately for tracking purposes.

The documentation for 11.x is clear that to enable 4.0 syntax extensions, it is necessary to enable them specifically from the processor API, it's not enough just to set version="4.0" in the stylesheet. However, setting version="4.0" does in fact enable some (but not all) extensions.

Furthermore, new 4.0 functions in the map and array namespaces are enabled whether or not 4.0 syntax extensions are enabled.

Actions #1

Updated by Michael Kay 7 months ago

  • Status changed from New to Closed

I'm going to close this with no action, on the grounds that anyone interested in using QT4 features should definitely by now be on the Saxon 12.x branch, as the QT4 spec has now diverged significantly from the Saxon 11.x implementation, and we will not be fixing this.

Please register to edit this issue

Also available in: Atom PDF